VisualEditor: Provide a way for the user to one-way switch from VisualEditor into wikitext source editor mode without saving
Closed, ResolvedPublic

Description

Copying from English Wikipedia:

Okay, this one is probably quite tricky: When editing the source code, if an edit conflict arises, you can simply hit the back button, copy the code, and paste it into the updated version. However, with the Visual Editor, this is no longer possible. The content goes away, so you have to re-add it all, which is a huge pain if it involves references and other templates.--¿3family6 contribs 18:25, 3 July 2013 (UTC)


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=47779
https://bugzilla.wikimedia.org/show_bug.cgi?id=52519
https://bugzilla.wikimedia.org/show_bug.cgi?id=56465

bzimport set Reference to bz50687.
Mdennis-WMF created this task.Via LegacyJul 3 2013, 7:15 PM
Mdennis-WMF added a comment.Via ConduitJul 4 2013, 1:20 PM

The ability to salvage incomplete edits could have other usefulness.

Copying from English Wikipedia:

I can attest to that, I have done the same thing and so due to inactivity the 'invalid token' message is appearing. No idea what to do, currently my tab is still open containing my edits which cannot be saved, I don't want to start over (quite a bit of work here), any suggestions? Copy-pasting to a text editor is not an option since I did mainly lot of linking and minor fixes. -Ugog Nizdast (talk) 10:04, 3 July 2013 (UTC)

Mdennis-WMF added a comment.Via ConduitJul 8 2013, 6:35 PM

Also this would be useful to allow people to save unfinished changes for later completion.

jayvdb added a comment.Via ConduitJul 25 2013, 10:28 PM

It isnt that tricky. Here is a prototype.

https://en.wikipedia.org/wiki/User:John_Vandenberg/switch_editor

The UI could be improved.

gerritbot added a comment.Via ConduitSep 6 2013, 12:40 AM

Change 83049 had a related patch set uploaded by Esanders:
Button tool to switch to edit source with changes

https://gerrit.wikimedia.org/r/83049

jayvdb added a comment.Via ConduitOct 2 2013, 2:23 AM

btw I found this was requested back in April 2013

https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Feedback/Archive_2013_04#London_Underground_article

my hack has been broken by some change in the VE product, and the deployment of this fix has now been delayed one month. Siebrand gave the patch a +1 a week ago. What is next for this to be committed and go live?

Esanders added a comment.Via ConduitOct 2 2013, 10:04 AM

The patch was -2'd pending a rewrite of the toolbar. Although the button works, we have no sensible place to put it until those changes are finished. At the time that was supposed to be a few days, so apologies for the delay, but that work is nearly complete now.

gerritbot added a comment.Via ConduitOct 31 2013, 5:48 PM

Change 92913 had a related patch set uploaded by Catrope:
Button tool to switch to edit source with changes

https://gerrit.wikimedia.org/r/92913

gerritbot added a comment.Via ConduitOct 31 2013, 5:49 PM

Change 92913 merged by Catrope:
Button tool to switch to edit source with changes

https://gerrit.wikimedia.org/r/92913

gerritbot added a comment.Via ConduitOct 31 2013, 5:49 PM

Change 83049 merged by jenkins-bot:
Button tool to switch to edit source with changes

https://gerrit.wikimedia.org/r/83049

Ryasmeen added a comment.Via ConduitNov 1 2013, 8:32 PM

verified in betalabs env

jayvdb added a comment.Via ConduitDec 18 2013, 2:13 AM

Just noting that this was broken in Firefox for a few weeks after launch due to bug 56767, which has now been fixed, and I have disabled my switch editor.

Jdforrester-WMF added a comment.Via ConduitFeb 27 2014, 6:35 PM
  • Bug 52950 has been marked as a duplicate of this bug. ***
Mattflaschen removed a subscriber: Mattflaschen.Via WebDec 3 2014, 5:30 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.